part of 'test_set_edit_bloc.dart';

abstract class TestSetEditState extends Equatable {
  const TestSetEditState();

  @override
  List<Object> get props => [];
}

class TestSetEditInitial extends TestSetEditState {
  const TestSetEditInitial();
}

class TestSetEditReady extends TestSetEditState {
  const TestSetEditReady();
}

class TestSetEditSaved extends TestSetEditState {
  const TestSetEditSaved();
}

class TestSetEditLoading extends TestSetEditState {
  const TestSetEditLoading();
}

class TestSetEditError extends TestSetEditState {
  final String message;
  const TestSetEditError({required this.message});

  @override
  List<Object> get props => [message];
}
